org.keycloak.models.cache

## Interface CacheRealmProvider

- All Superinterfaces:
    ClientLookupProvider, ClientProvider, ClientScopeLookupProvider, ClientScopeProvider, GroupLookupProvider, GroupProvider, Provider, RealmProvider, RoleLookupProvider, RoleProvider
  All Known Implementing Classes:
    RealmCacheSession

      public interface CacheRealmProvider
      extends RealmProvider, ClientProvider, ClientScopeProvider, GroupProvider, RoleProvider

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()`
    `RealmProvider` | `getRealmDelegate()`
    `void` | `registerClientInvalidation(String id, String clientId, String realmId)`
    `void` | `registerClientScopeInvalidation(String id, String realmId)`
    `void` | `registerGroupInvalidation(String id)`
    `void` | `registerRealmInvalidation(String id, String name)`
    `void` | `registerRoleInvalidation(String id, String roleName, String roleContainerId)`

    - ### Methods inherited from interface org.keycloak.models.RealmProvider

      `addClient, addClient, addClientRole, addClientRole, addRealmRole, addRealmRole, addTopLevelGroup, createClientInitialAccessModel, createGroup, createGroup, createGroup, createGroup, createRealm, createRealm, decreaseRemainingCount, deleteLocalizationText, deleteLocalizationTextsByLocale, getAlwaysDisplayInConsoleClients, getClientByClientId, getClientById, getClientInitialAccessModel, getClientRole, getClientRoles, getClientRoles, getClients, getClients, getClientScopeById, getClientScopeById, getClientsCount, getGroupById, getGroupById, getGroups, getGroupsByRole, getGroupsCount, getGroupsCountByNameContaining, getLocalizationTextsById, getRealm, getRealmByName, getRealmRole, getRealmRoles, getRealmRoles, getRealms, getRealmsStream, getRealmsWithProviderType, getRealmsWithProviderTypeStream, getRoleById, getTopLevelGroups, getTopLevelGroups, listClientInitialAccess, listClientInitialAccessStream, moveGroup, removeClient, removeClientInitialAccessModel, removeExpiredClientInitialAccess, removeGroup, removeRealm, removeRole, saveLocalizationText, saveLocalizationTexts, searchClientsByClientId, searchForClientRoles, searchForGroupByName, searchForRoles, updateLocalizationText`

    - ### Methods inherited from interface org.keycloak.models.ClientProvider

      `addClientScopes, getAllRedirectUrisOfEnabledClients, getAlwaysDisplayInConsoleClientsStream, getClientsStream, getClientsStream, removeClient, removeClients, removeClientScope`

    - ### Methods inherited from interface org.keycloak.storage.client.ClientLookupProvider

      `getClientByClientId, getClientById, getClientScopes, searchClientsByAttributes, searchClientsByClientIdStream`

    - ### Methods inherited from interface org.keycloak.models.ClientScopeProvider

      `addClientScope, addClientScope, getClientScopesStream, removeClientScope, removeClientScopes`

    - ### Methods inherited from interface org.keycloak.models.GroupProvider

      `getGroupsByRoleStream, getGroupsCount, getGroupsStream, getGroupsStream, getGroupsStream, getGroupsStream, getTopLevelGroupsStream, getTopLevelGroupsStream`

    - ### Methods inherited from interface org.keycloak.storage.group.GroupLookupProvider

      `searchForGroupByNameStream`

    - ### Methods inherited from interface org.keycloak.models.RoleProvider

      `addClientRole, addClientRole, getClientRolesStream, getClientRolesStream, getRealmRolesStream, getRealmRolesStream, removeRole, removeRoles, removeRoles`

    - ### Methods inherited from interface org.keycloak.provider.Provider

      `close`

    - ### Methods inherited from interface org.keycloak.storage.role.RoleLookupProvider

      `getClientRole, getRoleById, searchForClientRolesStream, searchForRolesStream`

- - ### Method Detail

    - #### clear

          void clear()

    - #### getRealmDelegate

          RealmProvider getRealmDelegate()

    - #### registerRealmInvalidation

          void registerRealmInvalidation(String id,
                                         String name)

    - #### registerClientInvalidation

          void registerClientInvalidation(String id,
                                          String clientId,
                                          String realmId)

    - #### registerClientScopeInvalidation

          void registerClientScopeInvalidation(String id,
                                               String realmId)

    - #### registerRoleInvalidation

          void registerRoleInvalidation(String id,
                                        String roleName,
                                        String roleContainerId)

    - #### registerGroupInvalidation

          void registerGroupInvalidation(String id)

Copyright © 2021 JBoss by Red Hat. All rights reserved.